## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class SchemaASABaseLoader

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader

Direct Known Subclasses:
  SchemaASALoader

    public class SchemaASABaseLoader

extends java.lang.Object

Nested Class Summary
`static class` `SchemaASABaseLoader.ASABaseRoutineLoader`
`static class` `SchemaASABaseLoader.ASABaseTableLoader`
`static class` `SchemaASABaseLoader.ASABaseUDTLoader`
`static class` `SchemaASABaseLoader.IndexWrapper`

Constructor Summary
`SchemaASABaseLoader(Schema catalogSchema)`

Method Summary
`void` `batchLoadIndices()`
`void` `batchLoadTriggers()`
`void` `loadIndices(TableASABaseLoader.IASABaseLoaderTable table, java.util.List indexWrappers)`
`void` `loadRoutines(org.eclipse.emf.common.util.EList routineContainmentList)`
`void` `loadTables(org.eclipse.emf.common.util.EList tableConstainmentList)`
`void` `loadUDTs(org.eclipse.emf.common.util.EList udtContainmentList)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaASABaseLoader

    public SchemaASABaseLoader(Schema catalogSchema)

Method Detail

### loadTables

    public final void loadTables(org.eclipse.emf.common.util.EList tableConstainmentList)

### loadRoutines

    public final void loadRoutines(org.eclipse.emf.common.util.EList routineContainmentList)

### loadUDTs

    public final void loadUDTs(org.eclipse.emf.common.util.EList udtContainmentList)

### batchLoadTriggers

    public final void batchLoadTriggers()

### batchLoadIndices

    public final void batchLoadIndices()

### loadIndices

    public final void loadIndices(TableASABaseLoader.IASABaseLoaderTable table,
                                  java.util.List indexWrappers)